import { readFileSync } from 'fs';

export type ServerConfig = {
  port: number;
  origin: string[];
};

export type MongoConfig = {
  uri: string;
  dbName: string;
};

export class Config {
  server: ServerConfig;
  mongo: MongoConfig;

  constructor(configFile: string) {
    const config = JSON.parse(readFileSync(configFile).toString()) as Config;
    this.server = config.server;
    this.mongo = config.mongo;
  }
}
