import { checkSchema } from 'express-validator';
import { UserRoles } from '@core';

export const ReadUserSchema = () =>
  checkSchema({
    uuid: {
      isUUID: {
        options: 4,
      },
    },
  });

export const LoginUserSchema = () =>
  checkSchema({
    username: {
      isString: true,
    },
    password: {
      isString: true,
    },
  });

export const LogoutUserSchema = () => checkSchema({});

export const CreateUserSchema = () =>
  checkSchema({
    username: {
      isString: true,
    },
    password: {
      isString: true,
    },
    role: {
      isIn: {
        options: [Object.values(UserRoles)],
      },
    },
  });
